[![Build Status](https://travis-ci.org/SpikeInterface/spikecomparison.svg?branch=master)](https://travis-ci.org/SpikeInterface/spikecomparison) [![PyPI version](https://badge.fury.io/py/spikecomparison.svg)](https://badge.fury.io/py/spikecomparison)

# SpikeComparison

SpikeComparison is a package of the SpikeInterface project that was designed to compare and benchmark the output of spike sorting algorithms. SpikeComparison provides functionality for comparisons of outputs with and without ground truth.

## Getting Started

To get started with SpikeComparison, you can install it with pip:

```shell
pip install spikecomparison
```

You can also get SpikeComparison through the [spikeinterface](https://github.com/SpikeInterface/spikeinterface) package:

```shell
pip install spikeinterface
```

You can also install SpikeComparison locally by cloning the repo into your code base. If you install SpikeComparison locally, you need to run the setup.py file.

```shell
git clone https://github.com/SpikeInterface/spikecomparison.git
cd spikecomparison
python setup.py install
```

## Examples

For more information about how to use SpikeComparison, please checkout these [examples](https://github.com/SpikeInterface/spikeinterface/tree/master/examples/modules/comparison).

## Documentation

All documentation for SpikeInterface can be found here: https://spikeinterface.readthedocs.io/en/latest/.

### Authors

[Samuel Garcia](https://github.com/samuelgarcia) - Centre de Recherche en Neuroscience de Lyon (CRNL), Lyon, France

[Alessio Paolo Buccino](https://www.mn.uio.no/ifi/english/people/aca/alessiob/) - Center for Inegrative Neurolasticity (CINPLA), Department of Biosciences, Physics, and Informatics, University of Oslo, Oslo, Norway

[Cole Hurwitz](https://www.inf.ed.ac.uk/people/students/Cole_Hurwitz.html) - The Institute for Adaptive and Neural Computation (ANC), University of Edinburgh, Edinburgh, Scotland

[Jeremy Magland](https://www.simonsfoundation.org/team/jeremy-magland/) - Center for Computational Biology (CCB), Flatiron Institute, New York, United States

[Matthias Hennig](http://homepages.inf.ed.ac.uk/mhennig/) - The Institute for Adaptive and Neural Computation (ANC), University of Edinburgh, Edinburgh, Scotland

<br/>
<br/>
For any correspondence, contact Samuel Garcia samuel.garcia@cnrs.fr
